#include <stdlib.h>
#include <stdio.h>

void sorter(unsigned char arr[][4], int size);
void calcNums(int countArray[12], unsigned char arr[][4], int size);
void printer(int countArray[12]);

int main(int argc, char** argv){

    //prints error if there is not a command line argument
    if (argc != 2) {
        printf("ERROR: need one command line argument\n");
        return(1);
    }
    //converts to int
    int inputNum = atoi(argv[1]);
    //nice array for program
    unsigned char arr[inputNum][4];

    //reads in and puts values for array
    for (int i=0; i < inputNum; i++){
        scanf("%hhu.%hhu.%hhu.%hhu", &arr[i][0], &arr[i][1], &arr[i][2], &arr[i][3]);
    }

    //sorts
    sorter(arr, inputNum);

    int countArray[12] = {0};
    //calculate counts
    calcNums(countArray, arr, inputNum);
    //print details
    printer(countArray);

    return(0);
}
